MindWrtParserInternal::LineInfo Struct Reference

Internal: a line information of a MindWrtParser. More...

## Public Member Functions

| LineInfo ()

## Public Attributes

MWAWEntry | m_entry
| the main entry
int | m_type
| the entry type
int | m_height
| the height
int | m_y
| the y pos
int | m_page
| the page number
MWAWParagraph | m_paragraph
| the paragraph
bool | m_specialHeadingInterface
| true if the paragraph
bool | m_paragraphSet
| true if the paragraph is reset
int | m_listLevel
| the item level
int | m_listType
| the item type
int | m_flags [4]
| two flags
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, LineInfo const &line)
| operator<<

## Detailed Description

Internal: a line information of a MindWrtParser.

## Constructor & Destructor Documentation

## LineInfo()

MindWrtParserInternal::LineInfo::LineInfo | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | LineInfo const & | line )

friend

operator<<

## Member Data Documentation

## m_entry

MWAWEntry MindWrtParserInternal::LineInfo::m_entry

the main entry

Referenced by LineInfo(), operator<<, MindWrtParser::readCompressedText(), MindWrtParser::readGraphic(), MindWrtParser::readLinesInfo(), MindWrtParser::readRuler(), and MindWrtParser::readText().

## m_extra

std::string MindWrtParserInternal::LineInfo::m_extra

extra data

Referenced by LineInfo(), operator<<, and MindWrtParser::readLinesInfo().

## m_flags

int MindWrtParserInternal::LineInfo::m_flags[4]

two flags

Referenced by LineInfo(), operator<<, MindWrtParser::readLinesInfo(), and MindWrtParser::readRuler().

## m_height

int MindWrtParserInternal::LineInfo::m_height

the height

Referenced by LineInfo(), operator<<, and MindWrtParser::readLinesInfo().

## m_listLevel

int MindWrtParserInternal::LineInfo::m_listLevel

the item level

Referenced by LineInfo(), operator<<, MindWrtParser::readCompressedText(), MindWrtParser::readLinesInfo(), and MindWrtParser::readText().

## m_listType

int MindWrtParserInternal::LineInfo::m_listType

the item type

Referenced by LineInfo(), operator<<, MindWrtParser::readCompressedText(), MindWrtParser::readLinesInfo(), and MindWrtParser::readText().

## m_page

int MindWrtParserInternal::LineInfo::m_page

the page number

Referenced by LineInfo(), operator<<, and MindWrtParser::readLinesInfo().

## m_paragraph

MWAWParagraph MindWrtParserInternal::LineInfo::m_paragraph

the paragraph

Referenced by LineInfo(), and MindWrtParser::readRuler().

## m_paragraphSet

bool MindWrtParserInternal::LineInfo::m_paragraphSet

true if the paragraph is reset

Referenced by LineInfo(), and MindWrtParser::readRuler().

## m_specialHeadingInterface

bool MindWrtParserInternal::LineInfo::m_specialHeadingInterface

true if the paragraph

Referenced by LineInfo(), and MindWrtParser::readRuler().

## m_type

int MindWrtParserInternal::LineInfo::m_type

the entry type

Referenced by LineInfo(), operator<<, and MindWrtParser::readLinesInfo().

## m_y

int MindWrtParserInternal::LineInfo::m_y

the y pos

Referenced by LineInfo(), operator<<, and MindWrtParser::readLinesInfo().

The documentation for this struct was generated from the following file:

- MindWrtParser.cxx